- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_t

# mongoc_client_get_database_names()

## Synopsis

    char **
    mongoc_client_get_database_names (mongoc_client_t *client, bson_error_t *error);

## Deprecated

This function is deprecated and should not be used in new code.

Please use mongoc_client_get_database_names_with_opts() instead.

## Description

This function queries the MongoDB server for a list of known databases.

## Parameters

- `client`: A mongoc_client_t.
- `error`: An optional location for a bson_error_t or `NULL`.

## Errors

Errors are propagated via the `error` parameter.

## Returns

A `NULL` terminated vector of `NULL-byte` terminated strings. The result should be freed with `bson_strfreev()`.

`NULL` is returned upon failure and `error` is set.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.